Skip to main content
POST
Create a webhook

Authorizations

Authorization
string
header
required

An API token made in the ImpelLabs app. It starts with imp_ and acts as the member who made it.

Body

application/json
url
string
required

A public https address.

events
string[]
required

Event names from GET /api/v1/webhooks/events, or an area with a star, such as message.*.

description
string
Maximum string length: 200
environment
enum<string>
default:live
Available options:
live,
staging
rate_per_minute
integer
default:120
Required range: 1 <= x <= 600

Response

The webhook, with its secret.